package com.ruoyi.tc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.tc.baseClass.BaseClass;
import com.ruoyi.tc.entity.request.Acomma;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 现有资产表(asset_current)实体类
* @author du
* @since 2024/11/13 14:44
*/
@Data
@ApiModel("现有资产表")
@TableName(value = "asset_current")
public class AssetCurrent extends BaseClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    /**
    * 系统名称
    */
    @NotBlank
    @Size(max= 100,message="系统名称长度不能超过100")
    @ApiModelProperty("系统名称")
    @Excel(name = "*系统名称",sort = 2,width = 40,required = true)
    private String xtmc;


    /**
     * 建设(运营)单位:
     */
    @ApiModelProperty("建设(运营)单位")
    private String jsyydw;


    /**
     * DNS:
     */
    @ApiModelProperty("DNS")
    private String dns;

    /**
     * 是否自建互联网专线ip
     */
    @ApiModelProperty("是否自建互联网专线ip")
    private String isZjhlwip;

    @ApiModelProperty("组织机构名称（部门名称）")
    @TableField(exist = false)
    private String deptName;

    /**
    * 单位名称
    */
    @NotBlank
    @Size(max= 50,message="单位名称长度不能超过50")
    @ApiModelProperty("单位名称")
    @Excel(name = "*单位名称",sort = 1,width = 40,required = true)
    private String dwmc;
    /**
    * 系统域名
    */
    @Size(max= 50,message="系统域名长度不能超过50")
    @ApiModelProperty("系统域名")
    @Excel(name = "域名",sort = 3)
    private String xtym;

    @Excel(name ="访问网址-协议类型",sort = 13,width = 26)
    @ApiModelProperty("访问网址-协议类型")
    @TableField(exist = false)
    private String fwwzXylx;
    /**
    * 访问网址
    */
    @Excel(name ="访问网址",sort = 14)
    @Size(max= 50,message="访问网址长度不能超过50")
    @ApiModelProperty("访问网址")
    private String fwwz;
    /**
    * IPport-IP地址
    */
    //@NotBlank
    @Size(max= 50,message="IPport-IP地址长度不能超过50")
    @ApiModelProperty("IPport-IP地址")
    @Excel(name = "*ipv4",sort = 4)
    private String ipAddress;
    /**
    * IPport-端口
    */
    //@NotBlank
    @Excel(name = "*端口",sort = 5)
    @Size(max= 50,message="IPport-端口不能超过50")
    @ApiModelProperty("IPport-端口")
    private String ipPort;
    /**
    * 域名到期时间
    */
    @ApiModelProperty("域名到期时间")
    private String ymdqsj;
    /**
    * 域名提醒人-姓名
    */
    @Size(max= 50,message="域名提醒人-姓名长度不能超过50")
    @ApiModelProperty("域名提醒人-姓名")
    private String ymtxrXm;
    /**
    * 域名提醒人-联系方式
    */
    @Size(max= 50,message="域名提醒人-联系方式不能超过50")
    @ApiModelProperty("域名提醒人-联系方式")
    private String ymtxrLxfs;
    /**
    * 关联域名（多个用,分隔）
    */
    @Excel(name = "关联域名（多个关联域名用逗号隔开）",sort = 6,width =42)
    @Size(max= 500,message="关联域名长度不能超过500")
    @ApiModelProperty("关联域名（多个用,分隔）")
    private String glym;


    @ApiModelProperty("关联域名list")
    @TableField(exist = false)
    private List<Acomma> glymList;


    @ApiModelProperty("关联iplist）")
    @TableField(exist = false)
    private  List<Acomma> glIpList;

    /**
    * 关联ip（多个用,分隔）
    */
    @Excel(name ="关联资产（多个资产用逗号隔开,例如{\"ipv4\":[\"1.1.1.1:8080\",\"2.2.2.2:8080\"],\"ipv6\":[\"fe80::ec3e:9cff:fe25:687b\",\"de71::ec3e:9cff:fe25:687b\"]}）",sort = 7,width = 60)
    @Size(max= 500,message="关联ip长度不能超过500")
    @ApiModelProperty("关联ip（多个用,分隔）")
    private String glIp;
    /**
    * 系统类型（字典）
    */
    @Excel(name = "*系统类型",dictType="zc_xtlx",comboReadDict = true,sort =8)
    //@NotNull
    @ApiModelProperty("系统类型（字典）")
    private String xtlx;
    /**
    * 系统重要性（字典）
    */
    @Excel(name = "系统重要性",dictType = "zc_xtzyx",comboReadDict = true,sort = 9)
    @ApiModelProperty("系统重要性（字典）")
    private String xtzyx;
    /**
    * 是否关基系统（字典）
    */
    //@NotNull
    @Excel(name = "是否关基系统",dictType = "is_no",comboReadDict = true,sort = 10)
    @ApiModelProperty("是否关基系统（字典）")
    private String gjxt;
    /**
    * 系统标签
    */
    @Excel(name = "系统标签（多个标签逗号隔开）",sort = 12,width = 32)
    @Size(max= 255,message="系统标签长度不能超过255")
    @ApiModelProperty("系统标签")
    private String xtbq;
    /**
    * 机房信息
    */
    //@NotBlank
    @Excel(name = "*机房信息",sort = 11)
    @Size(max= 500,message="机房信息长度不能超过500")
    @ApiModelProperty("机房信息")
    private String jfxx;
    /**
    * 使用时间
    */
    //@NotBlank
    @Size(max= 50,message="使用时间长度不能超过50")
    @ApiModelProperty("使用时间")
    @Excel(name = "使用时间",sort = 123)
    private String sysj;
    /**
    * 是否是互联网系统（字典）
    */
    //@NotNull
    @Excel(name = "*是否是互联网系统",dictType = "is_no",comboReadDict = true,sort = 124 )
    @ApiModelProperty("是否是互联网系统（字典）")
    private String hlwxt;
    /**
    * 系统编号
    */
    @Size(max= 50,message="系统编号长度不能超过50")
    @ApiModelProperty("系统编号")
    @Excel(name = "系统编号",sort = 37)
    private String xtbh;
    /**
    * 系统状态（字典）
    */
    @Excel(name = "*系统状态",dictType = "zc_xtzt",comboReadDict = true,sort = 38)
    //@NotNull
    @ApiModelProperty("系统状态（字典）")
    private String xtzt;
    /**
    * 在线状态（字典）
    */
    @Excel(name = "在线状态",dictType = "zc_zxzt",comboReadDict = true,sort = 39)
    @ApiModelProperty("在线状态（字典）")
    private String zxzt;

    @TableField(exist = false)
    @ApiModelProperty("使用人")
    private String syr;
    /**
    * C-机密性（字典）
    */
    @Excel(name = "机密性",dictType = "zc_c_i_a",comboReadDict = true,sort = 40)
    @ApiModelProperty("C-机密性（字典）")
    private String cjmx;
    /**
    * I-完整性（字典）
    */
    @Excel(name = "完整性",dictType = "zc_c_i_a",comboReadDict = true,sort = 41)
    @ApiModelProperty("I-完整性（字典）")
    private String iwzx;
    /**
    * A-可用性(字典）
    */
    @Excel(name = "可用性",dictType = "zc_c_i_a",comboReadDict = true,sort = 42)
    @ApiModelProperty("A-可用性(字典）")
    private String akyx;
    /**
    * 存活率（字典）
    */
    @ApiModelProperty("存活率（字典）")
    private String chl;
//    /**
//    * 地理位置
//    */
//    @Size(max= 255,message="地理位置长度不能超过255")
//    @ApiModelProperty("地理位置")
//    private String dlwz;
    /**
    * 经度
    */
    @Size(max= 50,message="经度长度不能超过50")
    @ApiModelProperty("经度")
    private String jd;
    /**
    * 纬度
    */
    @Size(max= 50,message="纬度长度不能超过50")
    @ApiModelProperty("纬度")
    private String wd;
    /**
    * 系统特征（,分隔）
    */
    @Excel(width = 60,name = "系统特征（多选，多个特征用逗号隔开。选项为：党政机关门户网站、重点新闻网站，大型网络平台，系统业务覆盖单个地市级行政区30%以上人口的工作、生活，系统业务覆盖10万人以上用水、用电、用气、用油、取暖或交通出行，存储超过5万人以上个人敏感信息，存储超过100万条以上地理、人口、资源等国家基础数据）",sort = 54)
    @ApiModelProperty("系统特征（,分隔）")
    private String xttz;
    /**
    * 用户规模
    */
    @Excel(name = "*用户规模",dictType ="zc_yhgm",comboReadDict = true,sort = 55)
    //@NotNull
    @ApiModelProperty("用户规模")
    private String yhgm;
    /**
    * 互联网接入运营商
    */
    //@NotBlank
    @Excel(name = "*互联网接入运营商",sort = 56)
    @Size(max= 50,message="互联网接入运营商长度不能超过50")
    @ApiModelProperty("互联网接入运营商")
    private String hlwjryys;

    @ApiModelProperty("*物理接入地址")
    @TableField(exist = false)
    private String wljrdz;

    /**
    * 资产物理接入地址
    */
    @Excel(name = "*资产物理接入地址",sort = 57,width = 28)
    @Size(max= 50,message="资产物理接入地址长度不能超过50")
    @ApiModelProperty("资产物理接入地址")
    private String zcwljrdz;
    /**
    * 是否部署云平台（字典）
    */
    //@NotNull
    @Excel(name = "*是否部署云平台",sort = 58,dictType = "is_no",comboReadDict = true)
    @ApiModelProperty("是否部署云平台（字典）")
    private String bsypt;
    /**
    * 云服务商名称
    */
    @Excel(name = "云服务商名称（“是否部署云平台”选择“是”必须填写，选择“否”则无需填写）",sort = 59,width = 45)
    @Size(max= 100,message="云服务商名称长度不能超过100")
    @ApiModelProperty("云服务商名称")
    private String yfwsmc;
    /**
    * 网站访问协议/开通协议
    */
    @Excel(name = "*网站访问协议",sort = 60)
    @Size(max= 255,message="网站访问协议/开通协议长度不能超过255")
    @ApiModelProperty("网站访问协议/开通协议")
    private String wzfwxy;
    /**
    * 系统部署方式
    */
    @Excel(name = "*系统部署方式",dictType = "zc_xtbsfs",comboReadDict = true,sort = 61)
    @ApiModelProperty("系统部署方式")
    private String xtbsfs;
    /**
    * 托管单位
    */
    @Excel(name = "托管单位（系统部署方式选择“托管第三方”此项必填）",sort = 62,width = 45)
    @Size(max= 100,message="托管单位长度不能超过100")
    @ApiModelProperty("托管单位")
    private String tgdw;
    /**
    * 云服务商
    */
    @Excel(name = "云服务商（系统部署方式选择“云上”此项必填）",sort = 63)
    @Size(max= 100,message="云服务商长度不能超过100")
    @ApiModelProperty("云服务商")
    private String yfws;
    /**
    * 是否对公众开放（字典）
    */
    @Excel(name = "*是否对公众开放",dictType = "is_no",comboReadDict = true,sort = 64,width = 22)
    @ApiModelProperty("是否对公众开放（字典）")
    private String dgzkf;
    /**
    * 互联网开放用途（字典）
    */
    //@NotNull
    @Excel(name = "*互联网开放用途",dictType = "zc_hlwkfyt",comboReadDict = true,sort = 65,width = 22)
    @ApiModelProperty("互联网开放用途（字典）")
    private String hlwkfyt;
    /**
    * 系统防护情况-防篡改(多选字典）
    */
    @ApiModelProperty("系统防护情况-防篡改(多选字典）")
    private String xtfhqkFcg;
    /**
    * 系统防护情况-防泄露(多选字典）
    */
    @ApiModelProperty("系统防护情况-防泄露(多选字典）")
    private String xtfhqkFxl;
    /**
    * 系统防护情况-防中断(多选字典）
    */
    @ApiModelProperty("系统防护情况-防中断(多选字典）")
    private String xtfhqkFzd;
    /**
    * 系统防护情况-防勒索(多选字典）
    */
    @ApiModelProperty("系统防护情况-防勒索(多选字典）")
    private String xtfhqkFls;
    /**
    * 相关业务-覆盖范围
    */
    @ApiModelProperty("相关业务-覆盖范围")
    private String xgywFgfw;
    /**
    * 相关业务-网络性质
    */
    @ApiModelProperty("相关业务-网络性质")
    private String xgywWlxz;
    /**
    * 相关业务-业务类型
    */
    @ApiModelProperty("相关业务-业务类型")
    private String xgywYwlx;
    /**
    * 相关业务-互联情况
    */
    @ApiModelProperty("相关业务-互联情况")
    private String xgywHlqk;
    /**
    * 相关业务-服务对象
    */
    @ApiModelProperty("相关业务-服务对象")
    private String xgywFwdx;
    /**
    * 相关业务-服务范围
    */
    @ApiModelProperty("相关业务-服务范围")
    private String xgywFwfw;
    /**
    * 相关业务-业务描述
    */
    //@NotNull
    @Size(max= 500,message="相关业务-业务描述长度不能超过255")
    @ApiModelProperty("相关业务-业务描述")
    private String xgywYwms;

    @ApiModelProperty("责任人")
    @TableField(exist = false)
    private String zrr;
    /**
    * 分管负责人姓名
    */
    @Excel(name = "*分管负责人",sort = 15)
    //@NotBlank
    @Size(max= 50,message="分管负责人姓名长度不能超过50")
    @ApiModelProperty("分管负责人姓名")
    private String fgfzrxm;
    /**
    * 分管负责人联系方式
    */
    @Excel(name = "*分管负责人电话",sort = 16,width = 24)
    //@NotBlank
    @Size(max= 50,message="分管负责人联系方式长度不能超过50")
    @ApiModelProperty("分管负责人联系方式")
    private String fgfzrlxfs;
    /**
    * 分管负责人邮箱
    */
    @Excel(name = "*分管负责人邮箱",sort = 17,width = 24)
    @Size(max= 50,message="分管负责人邮箱长度不能超过50")
    @ApiModelProperty("分管负责人邮箱")
    private String fgfzryx;
    /**
    * 部门负责人姓名
    */
    @Excel(name = "*部门负责人",sort = 18)
    //@NotBlank
    @Size(max= 50,message="部门负责人姓名长度不能超过50")
    @ApiModelProperty("部门负责人姓名")
    private String bmfzrxm;
    /**
    * 部门负责人联系方式
    */
    @Excel(name = "*部门负责人电话",sort = 19,width = 24)
    //@NotBlank
    @Size(max= 50,message="部门负责人联系方式长度不能超过50")
    @ApiModelProperty("部门负责人联系方式")
    private String bmfzrlxfs;
    /**
    * 部门负责人邮箱
    */
    @Excel(name = "*部门负责人邮箱",sort = 20,width = 24)
    @Size(max= 50,message="部门负责人邮箱长度不能超过50")
    @ApiModelProperty("部门负责人邮箱")
    private String bmfzryx;
    /**
    * 第一联系人姓名
    */
    @Excel(name = "*第一联系人",sort = 21)
    //@NotBlank
    @Size(max= 50,message="第一联系人姓名长度不能超过50")
    @ApiModelProperty("第一联系人姓名")
    private String dylxrxm;
    /**
    * 第一联系人联系方式
    */
    //@NotBlank
    @Excel(name = "*第一联系人电话",sort = 22,width = 24)
    @Size(max= 50,message="第一联系人联系方式长度不能超过50")
    @ApiModelProperty("第一联系人联系方式")
    private String dylxrlxfs;
    /**
    * 第一联系人邮箱
    */
    @Excel(name = "*第一联系人邮箱",sort = 23,width = 24)
    @Size(max= 50,message="第一联系人邮箱长度不能超过50")
    @ApiModelProperty("第一联系人邮箱")
    private String dylxryx;

    @ApiModelProperty("其他联系人")
    @TableField(exist = false)
    private List<UnitOtherConcat> otherConcat;

    /**
    * ICP备案信息-是否备案
    */
    @Excel(name = "*ICP备案状态",dictType = "is_no",comboReadDict = true,sort = 24)
    //@NotNull
    @ApiModelProperty("ICP备案信息-是否备案")
    private String ipcSfba;
    /**
    * ICP备案信息-备案有效性
    */
    @ApiModelProperty("ICP备案信息-备案有效性")
    private String ipcBayxx;
    /**
    * ICP备案信息-备案网站名称
    */
    @Size(max= 50,message="ICP备案信息-备案网站名称长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案网站名称")
    private String ipcBawzmc;
    /**
    * ICP备案信息-备案网站首页
    */
    @Size(max= 50,message="ICP备案信息-备案网站名称长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案网站首页")
    private String ipcBawzsy;
    /**
    * ICP备案信息-ICP备案编号
    */
    @Excel(name = "ICP备案编号（ICP备案状态选择为是则必填）",sort = 25,width = 46)
    //@NotBlank
    @Size(max= 50,message="ICP备案信息-ICP备案编号长度不能超过50")
    @ApiModelProperty("ICP备案信息-ICP备案编号")
    private String ipcIpcbabh;
    /**
    * ICP备案信息-备案域名
    */
    @Excel(name = "备案域名（ICP备案状态选择为是则必填）",sort = 26)
    //@NotBlank
    @Size(max= 50,message="ICP备案信息-备案域名长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案域名")
    private String ipcBaym;
    /**
    * ICP备案信息-备案单位名称
    */
    @Size(max= 50,message="ICP备案信息-备案单位名称长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案单位名称")
    private String ipcBadwmc;
    /**
    * ICP备案信息-备案单位性质
    */
    @ApiModelProperty("ICP备案信息-备案单位性质")
    private String ipcBadwxz;
    /**
    * ICP备案信息-备案联系人
    */
    @Size(max= 50,message="ICP备案信息-备案联系人长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案联系人")
    private String ipcBalxr;
    /**
    * ICP备案信息-备案联系人电话
    */
    @Size(max= 50,message="ICP备案信息-备案联系人电话长度不能超过50")
    @ApiModelProperty("ICP备案信息-备案联系人电话")
    private String ipcBalxrdh;
    /**
    * 审核时间
    */
    @Size(max= 50,message="审核时间长度不能超过50")
    @ApiModelProperty("审核时间")
    private String shsj;
    /**
    * 公安机关备案信息-是否备案
    */
    //@NotNull
    @Excel(name = "*公安机关备案状态",dictType = "is_no",comboReadDict = true,sort = 27,width = 24)
    @ApiModelProperty("公安机关备案信息-是否备案")
    private String gajgSfba;
    /**
    * 公安机关备案信息-备案机关
    */
    @Size(max= 50,message="公安机关备案信息-备案机关长度不能超过50")
    @ApiModelProperty("公安机关备案信息-备案机关")
    private String gajgBajg;
    /**
    * 公安机关备案信息-公安机关备案号
    */
    @Excel(name = "公安机关备案号（公安机关备案状态选择为是则必填）",sort = 28,width = 22)
    @Size(max= 50,message="公安机关备案信息-公安机关备案号长度不能超过50")
    @ApiModelProperty("公安机关备案信息-公安机关备案号")
    //@NotBlank
    private String gajgBah;
    /**
    * 公安机关备案信息-备案日期
    */
    @Size(max= 50,message="公安机关备案信息-备案日期长度不能超过50")
    @ApiModelProperty("公安机关备案信息-备案日期")
    private String gajgBarq;
    /**
    * 系统架构-开发商
    */
    //@NotBlank
    @Excel(name = "*开发商",sort = 29)
    @Size(max= 50,message="系统架构-开发商长度不能超过50")
    @ApiModelProperty("系统架构-开发商")
    private String xtjgKfs;
    /**
    * 系统架构-系统版本
    */
    @Excel(name = "*系统版本",sort = 30)
    //@NotBlank
    @Size(max= 50,message="系统架构-系统版本长度不能超过50")
    @ApiModelProperty("系统架构-系统版本")
    private String xtjgXtbb;
    /**
    * 系统架构-技术架构
    */
    @Excel(name = "*技术架构",sort = 31)
    //@NotBlank
    @Size(max= 50,message="系统架构-技术架构长度不能超过50")
    @ApiModelProperty("系统架构-技术架构")
    private String xtjgJsjg;
    /**
    * 系统架构-服务组件
    */
    @Excel(name = "*服务组件",sort = 32)
    //@NotBlank
    @Size(max= 50,message="系统架构-服务组件长度不能超过50")
    @ApiModelProperty("系统架构-服务组件")
    private String xtjgFwzj;
    /**
    * 系统架构-web容器名称
    */
    @Excel(name = "*Web容器版本",sort = 33)
    //@NotBlank
    @Size(max= 50,message="系统架构-web容器名称长度不能超过50")
    @ApiModelProperty("系统架构-web容器名称")
    private String xtjgWebMc;
    /**
    * 系统架构-web容器版本
    */
    @Excel(name = "*Web容器名称",sort = 34)
    //@NotBlank
    @Size(max= 50,message="系统架构-web容器版本长度不能超过50")
    @ApiModelProperty("系统架构-web容器版本")
    private String xtjgWebBb;
    /**
    * 系统架构-是否国产化系统
    */
    @Excel(name = "*是否国产化系统",dictType = "is_no",comboReadDict = true,sort = 35,width = 22)
    //@NotNull
    @ApiModelProperty("系统架构-是否国产化系统")
    private String xtjgGcxt;
    /**
    * 系统架构-是否有国产设备
    */
    @Excel(name = "*是否有国产设备",dictType = "is_no",comboReadDict = true,sort = 36,width = 22)
    //@NotNull
    @ApiModelProperty("系统架构-是否有国产设备")
    private String xtjgGcsb;
    /**
    * 系统架构-系统设备国产化率
    */
    @Size(max= 50,message="系统架构-系统设备国产化率长度不能超过50")
    @ApiModelProperty("系统架构-系统设备国产化率")
    private String xtjgGchl;
    /**
    * 等保信息-是否等保系统
    */
    @Excel(name = "*是否是等保系统",dictType = "is_no",comboReadDict = true,sort = 43)
    //@NotNull
    @ApiModelProperty("等保信息-是否等保系统")
    private String dbxxSfdbxt;
    /**
    * 等保信息-等保测评备案号
    */
    //@NotBlank
    @Excel(name = "等保测评备案号（是否等保系统选择为是则必填）",sort = 44,width = 22)
    @Size(max= 50,message="等保信息-等保测评备案号长度不能超过50")
    @ApiModelProperty("等保信息-等保测评备案号")
    private String dbxxDbcpbah;
    /**
    * 等保信息-等保等级
    */
    //@NotNull
    @Excel(name = "等保等级（是否等保系统选择为是则必填）",dictType = "dbxx_dbdj",comboReadDict = true,sort = 45)
    @ApiModelProperty("等保信息-等保等级")
    private String dbxxDbdj;
    /**
    * 等保信息-主管部门
    */
    @Size(max= 50,message="等保信息-主管部门长度不能超过50")
    @ApiModelProperty("等保信息-主管部门")
    private String dbxxZgbm;
    /**
    * 等保信息-专家评审
    */
    @ApiModelProperty("等保信息-专家评审")
    private String dbxxZjps;
    /**
    * 等保信息-主管部门评审
    */
    @ApiModelProperty("等保信息-主管部门评审")
    private String dbxxZgbmps;
    /**
    * 等保信息-定级时间
    */
    //@NotBlank
    @Excel(name = "定级时间（是否是等保系统是则必填，样式如2024-11-02）",sort = 46,width = 40)
    @Size(max= 50,message="等保信息-定级时间长度不能超过50")
    @ApiModelProperty("等保信息-定级时间")
    private String dbxxDjsj;
    /**
    * 等保信息-是否有第三方测评
    */
    @Excel(name = "是否有第三方测评（是否是等保系统选择是则必填）",width = 45,dictType = "is_no",comboReadDict = true,sort = 47)
    @ApiModelProperty("等保信息-是否有第三方测评")
    private String dbxxSfydsfcp;

    @ApiModelProperty("地理位置-省")
    @Excel(name = "地理位置-省",sort = 49)
    private String sheng;

    @ApiModelProperty("地理位置-市")
    @Excel(name = "地理位置-市",sort = 50)
    private String shi;

    @ApiModelProperty("地理位置-区（县）")
    @Excel(name = "地理位置-区（县）",sort = 51)
    private String qu;
    /**
    * 等保信息-测评得分
    */
    @Excel(name = "测评得分（是否是等保系统选择是则必填）",sort = 48)
    @Size(max= 50,message="等保信息-测评得分长度不能超过50")
    @ApiModelProperty("等保信息-测评得分")
    private String dbxxCpdf;
    /**
    * 第三方测评-测评机构名称
    */
    @Excel(name = "*测评单位名称",sort = 66)
    @Size(max= 255,message="第三方测评-测评机构名称长度不能超过255")
    @ApiModelProperty("第三方测评-测评机构名称")
    private String sfCpjgmc;
    /**
    * 第三方测评-测评机构联系人
    */
    @Size(max= 50,message="第三方测评-测评机构联系人长度不能超过50")
    @ApiModelProperty("第三方测评-测评机构联系人")
    private String sfCpjglxr;
    /**
    * 第三方测评-测评机构地址
    */
    @Size(max= 255,message="第三方测评-测评机构地址长度不能超过255")
    @ApiModelProperty("第三方测评-测评机构地址")
    private String sfCpjgdz;
    /**
    * 第三方测评-测评机构联系人电话
    */
    @Size(max= 50,message="第三方测评-测评机构联系人电话长度不能超过50")
    @ApiModelProperty("第三方测评-测评机构联系人电话")
    private String sfCpjglxrdh;
    /**
    * 第三方测评-测评时联系人
    */
    @Size(max= 50,message="第三方测评-测评时联系人长度不能超过50")
    @ApiModelProperty("第三方测评-测评时联系人")
    private String sfCpslxr;
    /**
    * 第三方测评-测评师姓名
    */
    @Size(max= 50,message="第三方测评-测评师姓名长度不能超过50")
    @ApiModelProperty("第三方测评-测评师姓名")
    private String sfCpsxm;
    /**
    * 第三方测评-测评时联系人电话
    */
    @Size(max= 50,message="第三方测评-测评时联系人电话长度不能超过50")
    @ApiModelProperty("第三方测评-测评时联系人电话")
    private String sfCpslxrdh;
    /**
    * 第三方测评-测评师电话
    */
    @Size(max= 50,message="第三方测评-测评师电话长度不能超过50")
    @ApiModelProperty("第三方测评-测评师电话")
    private String sfCpsdh;
    /**
    * 第三方测评-推荐等保办
    */
    @Size(max= 255,message="第三方测评-推荐等保办长度不能超过255")
    @ApiModelProperty("第三方测评-推荐等保办")
    private String sfTjdbb;
    /**
    * 第三方测评-测评师证书等级
    */
    @ApiModelProperty("第三方测评-测评师证书等级")
    private String sfCpszsdj;
    /**
    * 第三方测评-测评等级
    */
    @ApiModelProperty("第三方测评-测评等级")
    private String sfCpdj;
    /**
    * 第三方测评-推荐日期
    */
    @Size(max= 50,message="第三方测评-推荐日期长度不能超过50")
    @ApiModelProperty("第三方测评-推荐日期")
    private String sfTjrq;
    /**
    * 第三方测评-报告日期
    */
    @Size(max= 50,message="第三方测评-报告日期长度不能超过50")
    @ApiModelProperty("第三方测评-报告日期")
    private String sfBgrq;
    /**
    * 第三方测评-测评结论
    */
    @Size(max= 255,message="第三方测评-测评结论长度不能超过255")
    @ApiModelProperty("第三方测评-测评结论")
    private String sfCpjl;
    /**
    * 密评信息-是否密评系统
    */
    @Excel(name = "是否密评系统",dictType = "is_no",comboReadDict = true,sort = 52,width = 22)
    @Size(max= 50,message="密评信息-是否密评系统长度不能超过50")
    @ApiModelProperty("密评信息-是否密评系统")
    private String mpSfmpxt;
    /**
    * 密评信息-密评得分
    */
    @Excel(name = "密评得分",sort = 53)
    @Size(max= 50,message="密评信息-密评得分长度不能超过50")
    @ApiModelProperty("密评信息-密评得分")
    private String mpMpdf;

    /**
     * 供应链信息列表
     */
    @ApiModelProperty("供应链信息列表")
    @TableField(exist = false)
    private List<AssetSupplyChain> gylxxList;
    /**
     * 基础网络列表
     */
    @ApiModelProperty("基础网络列表")
    @TableField(exist = false)
    private List<AssetBasicNetwork> jcwlList;

    /**
    * 新监管业务形态
    */
    @ApiModelProperty("新监管业务形态")
    @TableField(exist = false)
    private AssetBusinessForm xjgywxt;
    /**
    * Whois信息-有效性
    */
    @ApiModelProperty("Whois信息-有效性")
    private String whoisYxx;
    /**
    * Whois信息-注册名
    */
    @Size(max= 50,message="Whois信息-注册名长度不能超过50")
    @ApiModelProperty("Whois信息-注册名")
    private String whoisZcm;
    /**
    * Whois信息-服务商
    */
    @Size(max= 50,message="Whois信息-服务商长度不能超过50")
    @ApiModelProperty("Whois信息-服务商")
    private String whoisFws;
    /**
    * Whois信息-注册邮箱
    */
    @Size(max= 50,message="Whois信息-注册邮箱长度不能超过50")
    @ApiModelProperty("Whois信息-注册邮箱")
    private String whoisZcyx;
    /**
    * Whois信息-注册国家
    */
    @Size(max= 50,message="Whois信息-注册国家长度不能超过50")
    @ApiModelProperty("Whois信息-注册国家")
    private String whoisZcgj;
    /**
    * Whois信息-注册省
    */
    @Size(max= 50,message="Whois信息-注册省长度不能超过50")
    @ApiModelProperty("Whois信息-注册省")
    private String whoisZcs;
    /**
    * Whois信息-注册地址
    */
    @Size(max= 255,message="Whois信息-注册地址长度不能超过255")
    @ApiModelProperty("Whois信息-注册地址")
    private String whoisZcdz;
    /**
    * Whois信息-注册机构
    */
    @Size(max= 50,message="Whois信息-注册机构长度不能超过50")
    @ApiModelProperty("Whois信息-注册机构")
    private String whoisZcjg;
    /**
    * Whois信息-注册时间
    */
    @Size(max= 50,message="Whois信息-注册时间长度不能超过50")
    @ApiModelProperty("Whois信息-注册时间")
    private String whoisZcsj;
    /**
    * Whois信息-最后更新时间
    */
    @Size(max= 50,message="Whois信息-最后更新时间长度不能超过50")
    @ApiModelProperty("Whois信息-最后更新时间")
    private String whoisZhgxsj;
    /**
    * Whois信息-到期时间
    */
    @Size(max= 50,message="Whois信息-到期时间长度不能超过50")
    @ApiModelProperty("Whois信息-到期时间")
    private String whoisDqsj;
    /**
    * 数据资产-数据库名称
    */
    @Excel(name = "*数据库名称",sort = 105)
    @Size(max= 50,message="编码长度不能超过255")
    @ApiModelProperty("数据资产-数据库名称")
    private String sjzcSjkmc;
    /**
    * 数据资产-数据库类型
    */
    //@NotBlank
    @Excel(name = "*数据库类型",sort = 106)
    @Size(max= 50,message="数据资产-数据库类型长度不能超过50")
    @ApiModelProperty("数据资产-数据库类型")
    private String sjzcSjklx;
    /**
    * 数据资产-端口
    */
    @Excel(name = "*数据库端口",sort = 107)
    //@NotBlank
    @Size(max= 50,message="数据资产-端口长度不能超过50")
    @ApiModelProperty("数据资产-端口")
    private String sjzcDk;
    /**
    * 数据资产-数据库版本
    */
    @Excel(name = "*数据库版本",sort = 108)
    //@NotBlank
    @Size(max= 50,message="数据资产-数据库版本长度不能超过255")
    @ApiModelProperty("数据资产-数据库版本")
    private String sjzcSjkbb;
    /**
    * 数据资产-数据库所在IP
    */
    @Excel(name = "*数据库所在IP",sort = 109)
    @Size(max= 50,message="数据资产-数据库所在IP长度不能超过50")
    @ApiModelProperty("数据资产-数据库所在IP")
    private String sjzcSjkIp;
    /**
    * 数据资产-共享属性
    */
    //@NotNull
    @Excel(name = "*共享属性",dictType = "sjzc_gxsx",comboReadDict = true,sort = 110)
    @ApiModelProperty("数据资产-共享属性")
    private String sjzcGxsx;
    /**
    * 数据资产-开放属性
    */
    @Excel(name = "*开放属性",dictType = "sjzc_kfsx",comboReadDict = true,sort = 111)
    //@NotNull
    @ApiModelProperty("数据资产-开放属性")
    private String sjzcKfsx;
    /**
    * 数据资产-数据领域
    */
    //@NotNull
    @Excel(name = "*数据领域",dictType = "sjzc_sjly",comboReadDict = true,sort = 112)
    @ApiModelProperty("数据资产-数据领域")
    private String sjzcSjly;
    /**
    * 数据资产-更新周期
    */
    //@NotNull
    @Excel(name = "*更新周期",dictType = "sjzc_gxzq",comboReadDict = true,sort = 113)
    @ApiModelProperty("数据资产-更新周期")
    private String sjzcGxzq;
    /**
    * 数据资产-数据类型
    */
    //@NotBlank
    @Excel(name = "*数据类型",sort = 114)
    @Size(max= 255,message="数据资产-数据类型长度不能超过255")
    @ApiModelProperty("数据资产-数据类型")
    private String sjzcSjlx;
    /**
    * 数据资产-数据量
    */
    //@NotBlank
    @Excel(name = "*数据量",sort = 115)
    @Size(max= 255,message="数据资产-数据量长度不能超过255")
    @ApiModelProperty("数据资产-数据量")
    private String sjzcSjl;

    @Excel(name = "*数据量单位",sort = 116)
    @ApiModelProperty("数据资产-数据量单位")
    @TableField(exist = false)
    private String sjzcSjldw;
    /**
    * 数据资产-是否为涉密数据
    */
    //@NotNull
    @Excel(name = "*是否为涉密数据",dictType = "is_no",comboReadDict = true,sort = 117)
    @ApiModelProperty("数据资产-是否为涉密数据")
    private String sjzcSmsj;
    /**
    * 数据资产-数据是否出境
    */
    //@NotNull
    @Excel(name = "*数据是否出境",dictType = "is_no",comboReadDict = true,sort = 118)
    @ApiModelProperty("数据资产-数据是否出境")
    private String sjzcCj;
    /**
    * 数据资产-数据分级分类
    */
    //@NotNull
    @Excel(name = "*数据分级分类",dictType = "sjzc_sjfjfl",comboReadDict = true,sort = 119)
    @ApiModelProperty("数据资产-数据分级分类")
    private String sjzcSjfjfl;
    /**
    * 数据资产-数据重要程度
    */
    //@NotNull
    @Excel(name = "数据重要程度",dictType = "zc_xtzyx",comboReadDict = true,sort = 120)
    @ApiModelProperty("数据资产-数据重要程度")
    private String sjzcSjzycd;
    /**
    * 数据资产-数据描述
    */
    @Size(max= 500,message="数据资产-数据描述长度不能超过500")
    @ApiModelProperty("数据资产-数据描述")
    @Excel(name = "数据描述",sort = 121)
    private String sjzcSjms;

    @ApiModelProperty("*业务描述")
    @Excel(name = "*业务描述",sort = 122)
    @TableField(exist = false)
    private String ywms;
    /**
    * 业务系统拓扑图
    */
    @Size(max= 500,message="业务系统拓扑图长度不能超过500")
    @ApiModelProperty("业务系统拓扑图")
    private String ywxttpt;

    @Size(max= 500,message="业务系统拓扑文件长度不能超过500")
    @ApiModelProperty("业务系统拓扑文件")
    private String ywxttpwj;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    @ApiModelProperty("是否报废（默认0不报废 2代表报废）")
    private String isbf;

    @ApiModelProperty("报废原因")
    private String bfyy;

    @ApiModelProperty("不通过原因")
    private String  btgyy;

    /**
     * 审核
     */
    @ApiModelProperty("审核")
    @TableField(exist = false)
    private String auditState;
}
