package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetCurrentCpPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;

import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
public interface AssetCurrentCpService extends IService<AssetCurrentCpPo> {


    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, int taskId);


    /**
     * 根据taskid查询查询数据
     *
     * @param taskId 任务id
     * @return
     */
    List<AssetCurrentCpPo> findByTaskId(int taskId);


    /**
     * 修改不通过原因
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @param btgyy   不通过原因
     * @param newThcs 退回次数
     */
    void updateByAssetId(Integer assetId, Integer taskId, String btgyy, Integer newThcs);


    /**
     * 根据任务id,资产id获取退回次数
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    AssetCurrentCpPo findByassetIdandTaskId(Integer assetId, Integer taskId);

}

