package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetEmailCpPo;

import java.util.List;

/**
 * 电子邮件资产表(asset_email)表服务接口
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
public interface AssetEmailCpService extends IService<AssetEmailCpPo> {


    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, int taskId);


    /**
     * 根据taskid查询查询数据
     *
     * @param taskId 任务id
     * @return
     */
    List<AssetEmailCpPo> findByTaskId(int taskId);


    /**
     * 修改不通过原因
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @param btgyy   不通过原因
     * @param newThcs   不通过次数
     */
    void updateByAssetId(Integer assetId, Integer taskId, String btgyy, Integer newThcs);


    /**
     * 根据任务id,资产id获取退回次数
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    AssetEmailCpPo findByassetIdandTaskId(Integer assetId, Integer taskId);

}
